MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0032087Community[OCCT] OCCT:Data Exchangepublic2021-01-27 11:492021-02-21 11:44
Reporterdpasukhi 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.6.0* 
Target Version[OCCT] 7.6.0*Fixed in Version 
Summary0032087: Data Exchange, STEPCAFControl_Reader - NULL representation of shape for DGT
DescriptionReading STEP file that contains "BOOLEAN_REPRESENTATION_ITEM" throw the exception in the STEPCAFControl_Reader::FindShapeIndexForDGT::2247.
It crashes a reading process and interrupts the translation of the geometry.
Steps To Reproducetest bugs step bug32087
TagsNo tags attached.
Test case numberbugs/step/bug32087
Attached Files? file icon part.stp (174,293 bytes) 2021-01-27 18:05

- Relationships
related to 0032049verifiedbugmaster Data Exchange - STEP file import problems 

-  Notes
(0098439)
git (administrator)
2021-01-27 15:23

Branch CR32087 has been created by dpasukhi.

SHA-1: 141e87dee8c9dc3208ce08b686a6e7ed18ce99f4


Detailed log of new commits:

Author: dpasukhi
Date: Wed Jan 27 15:12:46 2021 +0300

    0032087: Data Exchange, STEPCAFControl_Reader - NULL representation of shape for DGT
    
    - Fixed problem with find a Path for the DimensionType_Location_WithPath
    - Added check for the null object within FindShapeIndexForDGT
(0098449)
dpasukhi (developer)
2021-01-27 19:20

Dear gka,
Please review CR32087.

Problem DGT entity : "DIMENSIONAL_LOCATION_WITH_PATH"
The current version of OCCT and previous ones cannot transfer it correctly
I fixed the unexpected NULL object problem (added a check) and tried to improve the transmission of this DGT attribute (replaced incorrect condition)

No regression, see:
http://occt-tests/CR32087-master-dpasukhi-OCCT/Debian80-64/diff_summary.html [^]
http://occt-tests/CR32087-master-dpasukhi-OCCT/Windows-64-VC14/diff_summary.html [^]
http://occt-tests/CR32087-master-dpasukhi-Products/Debian80-64/diff_summary.html [^]
http://occt-tests/CR32087-master-dpasukhi-Products/Windows-64-VC14/diff_summary.html [^]
restart:
http://vm-jenkins-test-12.nnov.opencascade.com:8080/view/CR32087-master-dpasukhi/view/TESTING/job/CR32087-master-dpasukhi-OCCT-Debian80-64-opt-test-restart/HTML_20Report [^]
http://vm-jenkins-test-12.nnov.opencascade.com:8080/view/CR32087-master-dpasukhi/view/TESTING/job/CR32087-master-dpasukhi-OCCT-Windows-64-VC14-opt-test-restart/HTML_20Report [^]
(0098456)
dpasukhi (developer)
2021-01-27 23:44

Analysis & Debugging
(0098986)
gka (developer)
2021-02-19 15:28

Branch CR32087 was reviewed
(0099019)
bugmaster (administrator)
2021-02-21 11:32

Combination -
OCCT branch : IR-2021-02-20
master SHA - 127330f9d7ec8c87f4ec37ca8c93bbf65866cdee
a87b7ddc8cb44606b91e3f37113847c3f5f50fdc
Products branch : IR-2021-02-20 SHA - 7c8d26f00c77b65a9d6b04524d1c1dce225fa6d7
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17876.110000000237 / 17806.660000000233 [+0.39%]
Products
Total CPU difference: 11541.23000000011 / 11513.250000000124 [+0.24%]
Windows-64-VC14:
OCCT
Total CPU difference: 19352.0 / 19376.859375 [-0.13%]
Products
Total CPU difference: 12836.421875 / 12857.265625 [-0.16%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0099049)
git (administrator)
2021-02-21 11:44

Branch CR32087 has been deleted by inv.

SHA-1: 141e87dee8c9dc3208ce08b686a6e7ed18ce99f4

- Related Changesets
occt: master 930b466c
Timestamp: 2021-01-27 12:12:46
Author: dpasukhi
Committer: bugmaster
Details ] Diff ]
0032087: Data Exchange, STEPCAFControl_Reader - NULL representation of shape for DGT

- Fixed problem with find a Path for the DimensionType_Location_WithPath
- Added check for the null object within FindShapeIndexForDGT
mod - src/STEPCAFControl/STEPCAFControl_Reader.cxx Diff ] File ]
add - tests/bugs/step/bug32087 Diff ] File ]

- Issue History
Date Modified Username Field Change
2021-01-27 11:49 dpasukhi New Issue
2021-01-27 11:49 dpasukhi Assigned To => dpasukhi
2021-01-27 11:55 kgv Relationship added related to 0032049
2021-01-27 15:23 git Note Added: 0098439
2021-01-27 18:05 robertlipman File Added: part.stp
2021-01-27 19:20 dpasukhi Note Added: 0098449
2021-01-27 19:20 dpasukhi Assigned To dpasukhi => gka
2021-01-27 19:20 dpasukhi Status new => resolved
2021-01-27 19:20 dpasukhi Steps to Reproduce Updated View Revisions
2021-01-27 23:44 dpasukhi Note Added: 0098456
2021-02-19 15:28 gka Note Added: 0098986
2021-02-19 15:28 gka Assigned To gka => bugmaster
2021-02-19 15:28 gka Status resolved => reviewed
2021-02-21 11:32 bugmaster Note Added: 0099019
2021-02-21 11:32 bugmaster Status reviewed => tested
2021-02-21 11:36 bugmaster Test case number => bugs/step/bug32087
2021-02-21 11:40 bugmaster Changeset attached => occt master 930b466c
2021-02-21 11:40 bugmaster Status tested => verified
2021-02-21 11:40 bugmaster Resolution open => fixed
2021-02-21 11:44 git Note Added: 0099049


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker